include:
  - 'https://gitlab.com/lt-qcom-gitlab-ci/lt-qcom-linux/lt-qcom-linux-test/-/raw/master/lt-qcom-linux-test-build.yml'
  - 'https://gitlab.com/lt-qcom-gitlab-ci/lt-qcom-linux/lt-qcom-linux-test/-/raw/master/lt-qcom-linux-test-machine-matrix.yml'

default:
  tags:
    - linaro-jenkins-amd64-debian-buster

variables:
  KERNEL_IMAGE_URL:
    value: ''
    description: ''
  KERNEL_MODULES_URL:
    value: ''
    description: ''
  KERNEL_DT_URL:
    value: ''
  KERNEL_CONFIG:
    value: ''
    description: ''
  KERNEL_VERSION:
    value: ''
    description: 'kernel version'
  KERNEL_FLAVOR:
    value: ''
    description: 'Kernel flavor'
  KERNEL_TEST_FLAVOR:
    value: 'linux-$KERNEL_FLAVOR'
    description: 'Kernel test flavor'
  KERNEL_COMMIT:
    value: ''
    description: ''
  KERNEL_BRANCH:
    value: ''
    description: ''
  KERNEL_DESCRIBE:
    value: ''
    description: ''
  KERNEL_TOOLCHAIN:
    value: 'unknown'
    description: ''
  PUB_DEST:
    value: 'member-builds/qcomlt/$KERNEL_TEST_FLAVOR/$MACHINE/$CI_PIPELINE_ID'
    description: 'Publish destination'
  LAVA_SERVER:
    value: 'https://validation.linaro.org/RPC2/'
    description: 'LAVA production server'
  STAGING_LAVA_SERVER:
    value: 'https://staging.validation.linaro.org/RPC2/'
    description: 'LAVA staging server'
  QA_SERVER:
    value: 'https://qa-reports.linaro.org'
    description: 'LAVA QA (SQUAD) server'
  QA_SERVER_PROJECT:
    value: 'linux-integration'
    description: 'LAVA QA server project name'
  BOOTRR_GIT_REPO:
    value: 'https://github.com/andersson/bootrr.git'
    description: ''
  BOOTRR_GIT_BRANCH:
    value: 'master'
    description: 'BOOTRR branch name'
  PUBLISH_SERVER:
    value: 'https://staging-artifacts.codelinaro.org/artifactory/codelinaro-qualcomm/'
    description: 'CodeLinaro publish server'
  JFROG_UPLOAD_DRY_RUN:
    value: 'false'
    description: 'Boolean defining upload dry-run'

stages:
  - test

.artifacts:
  artifacts:
    paths:
      - pub_dest_parameters
      - builders_out_parameters
      - out-folder.files

test integration:
  extends:
    - .test
    - .integration_matrix
    - .artifacts
  rules:
    - if: $KERNEL_FLAVOR == 'integration'
      when: always

test mainline:
  extends:
    - .test
    - .mainline_matrix
    - .artifacts
  rules:
    - if: $KERNEL_FLAVOR == 'mainline'
      when: always

test release:
  extends:
    - .test
    - .release_matrix
    - .artifacts
  rules:
    - if: $KERNEL_FLAVOR == 'release'
      when: always

test mock:
  extends:
    - .test_mock
    - .mock_matrix
  rules:
    - if: $KERNEL_FLAVOR == ''
      when: always
